| ghc-6.10.4: The GHC API | Contents | Index

SMRep

Documentation
type StgWord = Word32
type StgHalfWord = Word16
hALF_WORD_SIZE
hALF_WORD_SIZE_IN_BITS
type WordOff = Int
type ByteOff = Int
data CgRep

Constructors

VoidArg |
PtrArg |
NonPtrArg |
LongArg |
FloatArg |
DoubleArg |

Instances

Eq CgRep
Outputable CgRep

nonVoidArg :: CgRep -> Bool
argMachRep :: CgRep -> MachRep
primRepToCgRep :: PrimRep -> CgRep
primRepHint :: PrimRep -> MachHint
isFollowableArg :: CgRep -> Bool
isVoidArg :: CgRep -> Bool
isFloatingArg :: CgRep -> Bool
is64BitArg :: CgRep -> Bool
separateByPtrFollowness :: [(CgRep, a)] -> ([(CgRep, a)], [(CgRep, a)])
cgRepSizeW :: CgRep -> ByteOff
cgRepSizeB :: CgRep -> ByteOff
retAddrSizeW :: WordOff
typeCgRep :: Type -> CgRep
idCgRep :: Id -> CgRep
tyConCgRep :: TyCon -> CgRep
typeHint :: Type -> MachHint
data SMRep

Constructors

GenericRep Bool !Int !Int ClosureType |
BlackHoleRep |

data ClosureType

Constructors

Constr |
ConstrNoCaf |
Fun |
Thunk |
ThunkSelector |

isStaticRep :: SMRep -> Bool
fixedHdrSize :: WordOff
arrWordsHdrSize :: ByteOff
arrPtrsHdrSize :: ByteOff
profHdrSize :: WordOff
thunkHdrSize :: WordOff
smRepClosureType :: SMRep -> Maybe ClosureType
smRepClosureTypeInt :: SMRep -> StgHalfWord
rET_SMALL
rET_BIG
Produced by Haddock version 2.4.2